<?php
 @session_start();
 $vg_login=$_SESSION["usuario"];
 if($vg_login<>""){}
else
 {echo "<script>";
  echo "window.location='../index.php';";
  echo "</script>";
 }	
 
  include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="CALENDARIO_TRIBUTARIO_PARAMETROS";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=CALENDARIO_TRIBUTARIO_PARAMETROS';";
echo "</script>";
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIRCO</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK href="../general.css" type=text/css rel=stylesheet>
<script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="../bootstrap/js/bootstrap.min.js"></script>
  <link href="../icono.ico" rel="shortcut icon">


<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>

</head>
  
<BODY >
<?php

include "../conexion.php";
$ano="";$nombre="";
$empresa=$_REQUEST["empresa"];

						  
if(isset($_REQUEST["oculto"]))
{ 
	$ano=$_REQUEST['ano'];	
	$nombre=$_REQUEST['nombre'];	
		
		if($_REQUEST["oguardar"]==1)
		  {   
				$c=0; echo $canti=$_REQUEST['cantir'];
				while($c<=$canti)
				{  
					$empresa=$_REQUEST['codempresa'.$c];
					$nit=$_REQUEST['nit'.$c];
					$iva=$_REQUEST['iva'.$c];
					$caco=$_REQUEST['caco'.$c];
					$banrep=$_REQUEST['banrep'.$c];
					$super=$_REQUEST['super'.$c];
					$activo=$_REQUEST['activo'.$c];
					$patrimonio=$_REQUEST['patrimonio'.$c];
					$rst=$_REQUEST['rst'.$c];
					$retefuente=$_REQUEST['retefuente'.$c];
					$renta=$_REQUEST['renta'.$c];
					
					if($banrep<>""){$banrep='X';} 
					if($super<>""){$super='X';} 
					if($activo<>""){$activo='X';} 
					if($patrimonio<>""){$patrimonio='X';} 
					if($rst<>""){$rst='X';} 
					if($retefuente<>""){$retefuente='X';} 
					if($renta<>""){$renta='X';} 

					$contar=0;
					$sql_contar=mysqli_query($conexion,"SELECT count(*) FROM empresa_calendario where empresa='".$empresa."'");
					while($datos= mysqli_fetch_row($sql_contar)) { $contar=$datos[0]; }
					if($contar>=1)
						{
							$sql_deletemun=mysqli_query($conexion,"delete from empresa_calendario_municipio where empresa='".$empresa."'"); 
														
							$sql_update=mysqli_query($conexion,"update empresa_calendario set
															nit='".$nit."',
															iva='".$iva."',
															caco='".$caco."',
															banrep='".$banrep."',
															super='".$super."',
															activo='".$activo."',
															patrimonio='".$patrimonio."',
															rst='".$rst."',
															retefuente='".$retefuente."',
															renta='".$renta."'
															where empresa='".$empresa."'"); 
							if($sql_update)								
								{
								   $sql_datmun=mysqli_query($conexion,"SELECT id,codigo FROM empresa_municipio order by id asc");
								   while($datosmun= mysqli_fetch_row($sql_datmun))
									{ 
										$idmun=$datosmun[0];
										$codigo=$datosmun[1];
										$sn='';
										$sn=$_REQUEST[$codigo.$c];
										if($sn<>""){$sn='X';} 
										
										$sql_insertmun=mysqli_query($conexion,"insert into empresa_calendario_municipio (empresa,municipio,sn)
															values ('".$empresa."','".$idmun."','".$sn."')"); 
											/*if($nit=='900818023')
            									{
            											echo "insert into empresa_calendario_municipio (empresa,municipio,sn)
            														values ('".$empresa."','".$idmun."','".$sn."')<br>";
            										
            									}	
            									*/
									}
								}
						}
				    else
					 {		
						$sql_insert=mysqli_query($conexion,"insert into empresa_calendario (empresa,nit,iva,caco,banrep,super,activo,patrimonio,rst,retefuente,renta)
														values ('".$empresa."','".$nit."','".$iva."','".$caco."','".$banrep."','".$super."',
																'".$activo."','".$patrimonio."','".$rst."','".$retefuente."','".$renta."')"); 
						if($sql_insert)
						 {
							 $sql_datmun=mysqli_query($conexion,"SELECT id,codigo FROM empresa_municipio order by id asc");
							   while($datosmun= mysqli_fetch_row($sql_datmun))
								{ 
									$idmun=$datosmun[0];
									$codigo=$datosmun[1];
									$sn='';
									$sn=$_REQUEST[$codigo.$c];
									if($sn<>""){$sn='X';} 
									
									$sql_insertmun=mysqli_query($conexion,"insert into empresa_calendario_municipio (empresa,municipio,sn)
														values ('".$empresa."','".$idmun."','".$sn."')"); 
								//	if($nit=='900818023')
								//	{
													/*	echo "insert into empresa_calendario_municipio (empresa,municipio,sn)
														values ('".$empresa."','".$idmun."','".$sn."')<br>";
														*/
								//	}					
								}
						 }								
														
					 }
					$c=$c+1;
		        }//fin cliclo	  
		 }//fin guardar


}




?>
<form name="parametros" method="post" action="" >

<?php

 echo "<center><table  border='1' cellspacing='0' cellpadding='0' class='table table-bordered table-striped' style='font-size:12px;' > \n";
	   echo "<tr>
				<td class='btn-primary' align='center'>NOMBRE</td>
				<td class='btn-primary' align='center'>NIT</td>
				<td class='btn-primary' align='center'>1D</td>
				<td class='btn-primary' align='center'>2D</td>
				<td class='btn-primary' align='center' >IVA</td>
				<td class='btn-primary' align='center'>CACO</td>
				<td class='btn-primary' align='center'>BANREP</td>
				<td class='btn-primary' align='center'>SUPERSOC</td>
				<td class='btn-primary' align='center'>ACTIVOS EXT.</td>
				<td class='btn-primary' align='center'>IMP. PATRIMONIO</td>
				<td class='btn-primary' align='center'>RST</td>
				<td class='btn-primary' align='center'>RETEFUENTE</td>
				<td class='btn-primary' align='center'>RENTA</td>";
				
			  $sql_contar=mysqli_query($conexion,"SELECT id,nombre FROM empresa_municipio order by id asc");
			  
			  $sql_contardmun=mysqli_query($conexion,"SELECT id,municipio FROM empresa_responsabilidadmun where empresa='".$empresa."'");
			   while($datosmes= mysqli_fetch_row($sql_contardmun))
				{ 
					 $mun=$datosmes[1];
					
					 $sql_datmun=mysqli_query($conexion,"SELECT nombre FROM municipio where id='".$mun."'");
			         while($datosmun= mysqli_fetch_row($sql_datmun))	{ 	$nmun=$datosmun[0];}
					
					echo "<td class='btn-primary' align='center'>$nmun</td>";
				}

	 echo "</tr>";
 $ci=1;
 
  $sql_contar=mysqli_query($conexion,"SELECT nit,nombre,id FROM empresa where id='".$empresa."'");
  	   while($datosmes= mysqli_fetch_row($sql_contar))
	   	{ 
			$nit=$datosmes[0];	
			$nombre=$datosmes[1];	
			$idempresa=$datosmes[2];	
			
			$lennit=strlen($nit);
			$p1=$lennit-1;
			$p2=$lennit-2;
			$d1=substr($nit,$p1,$lennit);
			$d2=substr($nit,$p2,$lennit);
			
		//	$rs_tipo=mysqli_query($conexion,"SELECT id,nombre FROM empresa_calendario_parametros where tipo='IVA' order by nombre asc");
		//	$rs_caco=mysqli_query($conexion,"SELECT id,nombre FROM empresa_calendario_parametros where tipo='CACO' order by nombre asc");
			
			 $iva="";$caco="";$banrep="";$super="";$rst="";$retefuente="";$rst="";$ivabimestral="";$ivacuatrimestral="";$ivaanual="";$renta="";$exogena="";$activo="";$patrimonio="";
			 $sql_contaremp=mysqli_query($conexion,"SELECT responsabilidadnal    FROM empresa_responsabilidanal where empresa='".$idempresa."'");
			 while($datosemp= mysqli_fetch_row($sql_contaremp))
				{ 
					$responsabilidadnal=$datosemp[0];
					if($responsabilidadnal==1){$retefuente='X';}
					if($responsabilidadnal==2){$rst='X';}
					if($responsabilidadnal==3)
					  {$ivabimestral='X';
					     $sql_contarde=mysqli_query($conexion,"SELECT nombre FROM par_responsabilidadnal where id='".$responsabilidadnal."'");
            			 while($datosde= mysqli_fetch_row($sql_contarde)){ $niva=$datosde[0];	}	
            			 $iva=1;
					  }
					if($responsabilidadnal==4)
					  {$ivacuatrimestral='X';
					      $sql_contarde=mysqli_query($conexion,"SELECT nombre FROM par_responsabilidadnal where id='".$responsabilidadnal."'");
            			 while($datosde= mysqli_fetch_row($sql_contarde)){ $niva=$datosde[0];	}	 
            			 $iva=2;
					  }
					if($responsabilidadnal==5)
					 {$ivaanual='X';
					     $sql_contarde=mysqli_query($conexion,"SELECT nombre FROM par_responsabilidadnal where id='".$responsabilidadnal."'");
            			 while($datosde= mysqli_fetch_row($sql_contarde)){ $niva=$datosde[0];	}
            			 $iva=6;
					 }
					if($responsabilidadnal==6){$renta='X';}
					if($responsabilidadnal==7){$exogena='X';}
					if($responsabilidadnal==8){$caco='X';}
					if($responsabilidadnal==9){$banrep='X';}
					if($responsabilidadnal==10){$super='X';}
					if($responsabilidadnal==11){$activo='X';}
					if($responsabilidadnal==12){$patrimonio='X';}
				}
				
				if($caco=='X')
				 {
				       $sql_contaremp=mysqli_query($conexion,"SELECT camara_comercio FROM empresa_general where empresa='".$idempresa."'");
            		   while($datosemp= mysqli_fetch_row($sql_contaremp)){ $caco=$datosemp[0];}	
				
				     $sql_contarde=mysqli_query($conexion,"SELECT nombre FROM par_camaracomercio where id='".$caco."'");
            			 while($datosde= mysqli_fetch_row($sql_contarde)){ $ncaco=$datosde[0];	}
				 }
				
				
				
			
			/*
			  $iva="";$caco="";$banrep="";$super="";$rst="";
			   $sql_contaremp=mysqli_query($conexion,"SELECT iva,caco,banrep,super,activo,patrimonio,rst,retefuente,renta FROM empresa_calendario where empresa='".$idempresa."'");
			   while($datosemp= mysqli_fetch_row($sql_contaremp))
				{ 
					$iva=$datosemp[0];	
					$caco=$datosemp[1];	
					$banrep=$datosemp[2];	
					$super=$datosemp[3];	
					$activo=$datosemp[4];	
					$patrimonio=$datosemp[5];
					$rst=$datosemp[6];	
					$retefuente=$datosemp[7];	
					$renta=$datosemp[8];	
				}
			*/

		echo "<tr>
			<td align='center'>$nombre</td>
			<td align='center'>
					<input name='nit$ci' type='hidden'  id='nit$ci'    value='$nit'  />
					<input name='codempresa$ci' type='hidden'  id='codempresa$ci'    value='$idempresa'  />
					$nit
			</td>
			<td align='center'>$d1</td>
			<td align='center'>$d2</td>
			<td align='center' >$niva</td>
			<td align='center'>$ncaco</td>
			<td align='center'><input name='banrep$ci' type='text'  id='banrep$ci' value='$banrep'  class='form-control'  style='width:50px; text-align:center;' maxlength='1'/></td>
			<td align='center'><input name='super$ci' type='text'  id='super$ci' value='$super'  class='form-control'  style='width:50px; text-align:center;' maxlength='1'/></td>
			<td align='center'><input name='activo$ci' type='text'  id='activo$ci' value='$activo'  class='form-control'  style='width:50px; text-align:center;' maxlength='1'/></td>
			<td align='center'><input name='patrimonio$ci' type='text'  id='patrimonio$ci' value='$patrimonio'  class='form-control'  style='width:50px; text-align:center;' maxlength='1'/></td>
			<td align='center'><input name='rst$ci' type='text'  id='rst$ci' value='$rst'  class='form-control'  style='width:50px; text-align:center;' maxlength='1'/></td>
			<td align='center'><input name='retefuente$ci' type='text'  id='retefuente$ci' value='$retefuente'  class='form-control'  style='width:50px; text-align:center;' maxlength='1'/></td>
			<td align='center'><input name='renta$ci' type='text'  id='renta$ci' value='$renta'  class='form-control'  style='width:50px; text-align:center;' maxlength='1'/></td>";	
			
			 $sql_datmun=mysqli_query($conexion,"SELECT id,municipio FROM empresa_responsabilidadmun where empresa='".$idempresa."'");
			   while($datosmun= mysqli_fetch_row($sql_datmun))
				{ 
					$idres=$datosmun[0];
					$idmun=$datosmun[1];	
					
					$existe=0;
					$sql_contardmun=mysqli_query($conexion,"SELECT count(*) FROM empresa_responsabilidadmun where empresa='".$idempresa."' and municipio='".$idmun."'");
					 while($datosdmun= mysqli_fetch_row($sql_contardmun)){ $existe=$datosdmun[0];	}
					if($existe>=1){$mun="X"; }	else {$mun="";}
					
					echo "<td align='center'><input name='$codigo$ci' type='text' id='$codigo$ci' value='$mun' class='form-control' style='width:50px; text-align:center;' maxlength='1'/></td>";
				}
					
		echo "</tr>";
		$ci++;
		$contar=0;
		 $sql_datcc=mysqli_query($conexion,"SELECT count(*) FROM empresa_calendario where empresa='".$idempresa."'");
	     while($datoscc= mysqli_fetch_row($sql_datcc))	{ 	$contar=$datoscc[0];}
		if($contar>=1)	         
		    {
		      								
							$sql_update=mysqli_query($conexion,"update empresa_calendario set
															nit='".$nit."',
															iva='".$iva."',
															caco='".$caco."',
															banrep='".$banrep."',
															super='".$super."',
															activo='".$activo."',
															patrimonio='".$patrimonio."',
															rst='".$rst."',
															retefuente='".$retefuente."',
															renta='".$renta."'
															where empresa='".$idempresa."'");    
		    }
		else
    		{
			 $sql_insert=mysqli_query($conexion,"insert into empresa_calendario (empresa,nit,iva,caco,banrep,super,activo,patrimonio,rst,retefuente,renta)
														values ('".$idempresa."','".$nit."','".$iva."','".$caco."','".$banrep."','".$super."',
																'".$activo."','".$patrimonio."','".$rst."','".$retefuente."','".$renta."')"); 
						if($sql_insert)
						 {
							 $sql_datmun=mysqli_query($conexion,"SELECT id,codigo FROM empresa_municipio order by id asc");
							   while($datosmun= mysqli_fetch_row($sql_datmun))
								{ 
									$idmun=$datosmun[0];
									$codigo=$datosmun[1];
									$sn='';
									$sn=$_REQUEST[$codigo.$c];
									if($sn<>""){$sn='X';} 
									
									$sql_insertmun=mysqli_query($conexion,"insert into empresa_calendario_municipio (empresa,municipio,sn)
														values ('".$empresa."','".$idmun."','".$sn."')"); 
								//	if($nit=='900818023')
								//	{
													/*	echo "insert into empresa_calendario_municipio (empresa,municipio,sn)
														values ('".$empresa."','".$idmun."','".$sn."')<br>";
														*/
								//	}					
								}
						 }	
    		}	
	}
 echo "</table></center>";

 $canti=$ci-1;
 echo "<input type='hidden' name='cantir' value='$canti' readonly size='10'>";	

?>
		
</form>
</body>
</html>
